///////////////////////////////////////////////////////////////////////
//                     41 Post                                       //
// Created by DimasTheDriver on Sept/05/2011                         //
// Part of 'Unity: Scaling Pixel Art' post.                        	 //
// Available at:     http://www.41post.com/?p=4286                   //
///////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

[ExecuteInEditMode]
public class GUItest : MonoBehaviour 
{
	public GUISkin guiSkin;
	
	void OnGUI() 
	{
		GUI.Label(new Rect(200,10,200,25),"Pixel Art as a GUI element");
		
		GUI.Label(new Rect(25,40,200,25),"Original size (64x64):");
		GUI.Label(new Rect(25,60,64,64),"",guiSkin.customStyles[0]);
		
		GUI.Label(new Rect(200,40,200,50),"Scaled proportionally (32x32) - half the size:");
		GUI.Label(new Rect(200,80,32,32),"",guiSkin.customStyles[0]);
		
		GUI.Label(new Rect(450,40,200,50),"Scaled proportionally (128x128) - twice the size:");
		GUI.Label(new Rect(450,80,128,128),"",guiSkin.customStyles[0]);
		
		GUI.Label(new Rect(200,260,200,50),"Arbitrary scale (185x185) - ampliation:");
		GUI.Label(new Rect(200,300,185,185),"",guiSkin.customStyles[0]);	
		
		GUI.Label(new Rect(450,260,200,50),"Arbitrary scale (50x50) - reduction:");
		GUI.Label(new Rect(450,285,50,50),"",guiSkin.customStyles[0]);
		
		GUI.Label(new Rect(200,540,200,50),"Arbitrary size (111x67):");
		GUI.Label(new Rect(200,565,111,67),"",guiSkin.customStyles[0]);	
	
	}
}
